Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.gmt.modisco.infra.query.ui.views
Class ModelQueryView

    java.lang.Object
      ViewPart
          org.eclipse.gmt.modisco.infra.query.ui.views.ModelQueryView

    public class ModelQueryView

extends ViewPart

An Eclipse view that displays a list of available MoDisco query sets. Clicking on a query set opens it in the query set editor.

Constructor Summary
`ModelQueryView()`

Method Summary
`void` | `added(EObject addedQuerySet, IFile file)` Called when a query set is added
`void` | `changed(EObject changedQuerySet, IFile file)` Called when a query set changes
`void` | `createPartControl(Composite parent)`
`void` | `dispose()`
`TreeViewer` | `getModelQuerySetViewer()`
`TreeViewerColumn` | `getNameColumn()`
`void` | `removed(IFile querySetFile)` Called when a query set is removed
`void` | `setFocus()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ModelQueryView

    public ModelQueryView()

Method Detail

### getModelQuerySetViewer

    public TreeViewer getModelQuerySetViewer()

### getNameColumn

    public TreeViewerColumn getNameColumn()

### createPartControl

    public void createPartControl(Composite parent)

### setFocus

    public void setFocus()

### dispose

    public void dispose()

### changed

    public void changed(EObject changedQuerySet,
                        IFile file)

  Called when a query set changes

### added

    public void added(EObject addedQuerySet,
                      IFile file)

  Called when a query set is added

### removed

    public void removed(IFile querySetFile)

  Called when a query set is removed

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD